import React from 'react';
import { ComponentProps } from '../utils/types';
import AutocompleteMenu from './AutocompleteMenu';
import AutocompleteOverlay from './AutocompleteOverlay';
declare const Autocomplete: React.FC<{
    id?: string;
}>;
export declare type AutocompleteProps = ComponentProps<typeof Autocomplete>;
export type { AutocompleteInputProps } from './AutocompleteInput';
export type { AutocompleteMenuProps } from './AutocompleteMenu';
export type { AutocompleteOverlayProps } from './AutocompleteOverlay';
declare const _default: React.FC<{
    id?: string | undefined;
}> & {
    Input: import("@radix-ui/react-polymorphic").ForwardRefComponent<React.ForwardRefExoticComponent<Pick<Omit<Pick<{
        [x: string]: any;
        [x: number]: any;
        [x: symbol]: any;
    } & {
        theme?: any;
    } & {
        as?: string | React.ComponentType<any> | undefined;
        forwardedAs?: string | React.ComponentType<any> | undefined;
    }, string | number | symbol>, "maxWidth" | "minWidth" | "width" | "size" | "block" | "icon" | "variant" | "sx" | "className" | "disabled" | "leadingVisual" | "trailingVisual" | "contrast"> & {
        className?: string | undefined;
        icon?: React.ComponentType<{
            className?: string | undefined;
        }> | undefined;
        leadingVisual?: string | React.ComponentType<{
            className?: string | undefined;
        }> | undefined;
        trailingVisual?: string | React.ComponentType<{
            className?: string | undefined;
        }> | undefined;
    } & Pick<{
        color?: string | undefined;
        property?: string | undefined;
        maxWidth?: import("styled-system").ResponsiveValue<import("csstype").Property.MaxWidth<import("styled-system").TLengthStyledSystem>, Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>> | undefined;
        minWidth?: import("styled-system").ResponsiveValue<import("csstype").Property.MinWidth<import("styled-system").TLengthStyledSystem>, Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>> | undefined;
        translate?: "yes" | "no" | undefined;
        width?: import("styled-system").ResponsiveValue<import("csstype").Property.Width<import("styled-system").TLengthStyledSystem>, Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>> | undefined;
        hidden?: boolean | undefined;
        children?: React.ReactNode;
        ref?: ((instance: HTMLSpanElement | null) => void) | React.RefObject<HTMLSpanElement> | null | undefined;
        slot?: string | undefined;
        style?: React.CSSProperties | undefined;
        title?: string | undefined;
        size?: "small" | "large" | undefined;
        block?: boolean | undefined;
        variant?: "small" | "large" | undefined;
        role?: React.AriaRole | undefined;
        sx?: import("../sx").BetterSystemStyleObject | undefined;
        key?: React.Key | null | undefined;
        defaultChecked?: boolean | undefined;
        defaultValue?: string | number | readonly string[] | undefined;
        suppressContentEditableWarning?: boolean | undefined;
        suppressHydrationWarning?: boolean | undefined;
        accessKey?: string | undefined;
        className?: string | undefined;
        contentEditable?: "inherit" | (boolean | "false" | "true") | undefined;
        contextMenu?: string | undefined;
        dir?: string | undefined;
        draggable?: (boolean | "false" | "true") | undefined;
        id?: string | undefined;
        lang?: string | undefined;
        placeholder?: string | undefined;
        spellCheck?: (boolean | "false" | "true") | undefined;
        tabIndex?: number | undefined;
        radioGroup?: string | undefined;
        about?: string | undefined;
        datatype?: string | undefined;
        inlist?: any;
        prefix?: string | undefined;
        resource?: string | undefined;
        typeof?: string | undefined;
        vocab?: string | undefined;
        autoCapitalize?: string | undefined;
        autoCorrect?: string | undefined;
        autoSave?: string | undefined;
        itemProp?: string | undefined;
        itemScope?: boolean | undefined;
        itemType?: string | undefined;
        itemID?: string | undefined;
        itemRef?: string | undefined;
        results?: number | undefined;
        security?: string | undefined;
        unselectable?: "on" | "off" | undefined;
        inputMode?: "search" | "none" | "text" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined;
        is?: string | undefined;
        'aria-activedescendant'?: string | undefined;
        'aria-atomic'?: boolean | "false" | "true" | undefined;
        'aria-autocomplete'?: "none" | "both" | "inline" | "list" | undefined;
        'aria-busy'?: boolean | "false" | "true" | undefined;
        'aria-checked'?: boolean | "mixed" | "false" | "true" | undefined;
        'aria-colcount'?: number | undefined;
        'aria-colindex'?: number | undefined;
        'aria-colspan'?: number | undefined;
        'aria-controls'?: string | undefined;
        'aria-current'?: boolean | "time" | "page" | "false" | "true" | "step" | "location" | "date" | undefined;
        'aria-describedby'?: string | undefined;
        'aria-details'?: string | undefined;
        'aria-disabled'?: boolean | "false" | "true" | undefined;
        'aria-dropeffect'?: "link" | "none" | "copy" | "move" | "execute" | "popup" | undefined;
        'aria-errormessage'?: string | undefined;
        'aria-expanded'?: boolean | "false" | "true" | undefined;
        'aria-flowto'?: string | undefined;
        'aria-grabbed'?: boolean | "false" | "true" | undefined;
        'aria-haspopup'?: boolean | "grid" | "dialog" | "menu" | "listbox" | "false" | "true" | "tree" | undefined;
        'aria-hidden'?: boolean | "false" | "true" | undefined;
        'aria-invalid'?: boolean | "false" | "true" | "grammar" | "spelling" | undefined;
        'aria-keyshortcuts'?: string | undefined;
        'aria-label'?: string | undefined;
        'aria-labelledby'?: string | undefined;
        'aria-level'?: number | undefined;
        'aria-live'?: "off" | "assertive" | "polite" | undefined;
        'aria-modal'?: boolean | "false" | "true" | undefined;
        'aria-multiline'?: boolean | "false" | "true" | undefined;
        'aria-multiselectable'?: boolean | "false" | "true" | undefined;
        'aria-orientation'?: "horizontal" | "vertical" | undefined;
        'aria-owns'?: string | undefined;
        'aria-placeholder'?: string | undefined;
        'aria-posinset'?: number | undefined;
        'aria-pressed'?: boolean | "mixed" | "false" | "true" | undefined;
        'aria-readonly'?: boolean | "false" | "true" | undefined;
        'aria-relevant'?: "all" | "text" | "additions" | "additions removals" | "additions text" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined;
        'aria-required'?: boolean | "false" | "true" | undefined;
        'aria-roledescription'?: string | undefined;
        'aria-rowcount'?: number | undefined;
        'aria-rowindex'?: number | undefined;
        'aria-rowspan'?: number | undefined;
        'aria-selected'?: boolean | "false" | "true" | undefined;
        'aria-setsize'?: number | undefined;
        'aria-sort'?: "none" | "ascending" | "descending" | "other" | undefined;
        'aria-valuemax'?: number | undefined;
        'aria-valuemin'?: number | undefined;
        'aria-valuenow'?: number | undefined;
        'aria-valuetext'?: string | undefined;
        dangerouslySetInnerHTML?: {
            __html: string;
        } | undefined;
        onCopy?: React.ClipboardEventHandler<HTMLSpanElement> | undefined;
        onCopyCapture?: React.ClipboardEventHandler<HTMLSpanElement> | undefined;
        onCut?: React.ClipboardEventHandler<HTMLSpanElement> | undefined;
        onCutCapture?: React.ClipboardEventHandler<HTMLSpanElement> | undefined;
        onPaste?: React.ClipboardEventHandler<HTMLSpanElement> | undefined;
        onPasteCapture?: React.ClipboardEventHandler<HTMLSpanElement> | undefined;
        onCompositionEnd?: React.CompositionEventHandler<HTMLSpanElement> | undefined;
        onCompositionEndCapture?: React.CompositionEventHandler<HTMLSpanElement> | undefined;
        onCompositionStart?: React.CompositionEventHandler<HTMLSpanElement> | undefined;
        onCompositionStartCapture?: React.CompositionEventHandler<HTMLSpanElement> | undefined;
        onCompositionUpdate?: React.CompositionEventHandler<HTMLSpanElement> | undefined;
        onCompositionUpdateCapture?: React.CompositionEventHandler<HTMLSpanElement> | undefined;
        onFocus?: React.FocusEventHandler<HTMLSpanElement> | undefined;
        onFocusCapture?: React.FocusEventHandler<HTMLSpanElement> | undefined;
        onBlur?: React.FocusEventHandler<HTMLSpanElement> | undefined;
        onBlurCapture?: React.FocusEventHandler<HTMLSpanElement> | undefined;
        onChange?: React.FormEventHandler<HTMLSpanElement> | undefined;
        onChangeCapture?: React.FormEventHandler<HTMLSpanElement> | undefined;
        onBeforeInput?: React.FormEventHandler<HTMLSpanElement> | undefined;
        onBeforeInputCapture?: React.FormEventHandler<HTMLSpanElement> | undefined;
        onInput?: React.FormEventHandler<HTMLSpanElement> | undefined;
        onInputCapture?: React.FormEventHandler<HTMLSpanElement> | undefined;
        onReset?: React.FormEventHandler<HTMLSpanElement> | undefined;
        onResetCapture?: React.FormEventHandler<HTMLSpanElement> | undefined;
        onSubmit?: React.FormEventHandler<HTMLSpanElement> | undefined;
        onSubmitCapture?: React.FormEventHandler<HTMLSpanElement> | undefined;
        onInvalid?: React.FormEventHandler<HTMLSpanElement> | undefined;
        onInvalidCapture?: React.FormEventHandler<HTMLSpanElement> | undefined;
        onLoad?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onLoadCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onError?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onErrorCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onKeyDown?: React.KeyboardEventHandler<HTMLSpanElement> | undefined;
        onKeyDownCapture?: React.KeyboardEventHandler<HTMLSpanElement> | undefined;
        onKeyPress?: React.KeyboardEventHandler<HTMLSpanElement> | undefined;
        onKeyPressCapture?: React.KeyboardEventHandler<HTMLSpanElement> | undefined;
        onKeyUp?: React.KeyboardEventHandler<HTMLSpanElement> | undefined;
        onKeyUpCapture?: React.KeyboardEventHandler<HTMLSpanElement> | undefined;
        onAbort?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onAbortCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onCanPlay?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onCanPlayCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onCanPlayThrough?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onCanPlayThroughCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onDurationChange?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onDurationChangeCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onEmptied?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onEmptiedCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onEncrypted?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onEncryptedCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onEnded?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onEndedCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onLoadedData?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onLoadedDataCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onLoadedMetadata?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onLoadedMetadataCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onLoadStart?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onLoadStartCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onPause?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onPauseCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onPlay?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onPlayCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onPlaying?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onPlayingCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onProgress?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onProgressCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onRateChange?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onRateChangeCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onSeeked?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onSeekedCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onSeeking?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onSeekingCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onStalled?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onStalledCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onSuspend?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onSuspendCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onTimeUpdate?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onTimeUpdateCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onVolumeChange?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onVolumeChangeCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onWaiting?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onWaitingCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onAuxClick?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onAuxClickCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onClick?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onClickCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onContextMenu?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onContextMenuCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onDoubleClick?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onDoubleClickCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onDrag?: React.DragEventHandler<HTMLSpanElement> | undefined;
        onDragCapture?: React.DragEventHandler<HTMLSpanElement> | undefined;
        onDragEnd?: React.DragEventHandler<HTMLSpanElement> | undefined;
        onDragEndCapture?: React.DragEventHandler<HTMLSpanElement> | undefined;
        onDragEnter?: React.DragEventHandler<HTMLSpanElement> | undefined;
        onDragEnterCapture?: React.DragEventHandler<HTMLSpanElement> | undefined;
        onDragExit?: React.DragEventHandler<HTMLSpanElement> | undefined;
        onDragExitCapture?: React.DragEventHandler<HTMLSpanElement> | undefined;
        onDragLeave?: React.DragEventHandler<HTMLSpanElement> | undefined;
        onDragLeaveCapture?: React.DragEventHandler<HTMLSpanElement> | undefined;
        onDragOver?: React.DragEventHandler<HTMLSpanElement> | undefined;
        onDragOverCapture?: React.DragEventHandler<HTMLSpanElement> | undefined;
        onDragStart?: React.DragEventHandler<HTMLSpanElement> | undefined;
        onDragStartCapture?: React.DragEventHandler<HTMLSpanElement> | undefined;
        onDrop?: React.DragEventHandler<HTMLSpanElement> | undefined;
        onDropCapture?: React.DragEventHandler<HTMLSpanElement> | undefined;
        onMouseDown?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onMouseDownCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onMouseEnter?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onMouseLeave?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onMouseMove?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onMouseMoveCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onMouseOut?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onMouseOutCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onMouseOver?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onMouseOverCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onMouseUp?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onMouseUpCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
        onSelect?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onSelectCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
        onTouchCancel?: React.TouchEventHandler<HTMLSpanElement> | undefined;
        onTouchCancelCapture?: React.TouchEventHandler<HTMLSpanElement> | undefined;
        onTouchEnd?: React.TouchEventHandler<HTMLSpanElement> | undefined;
        onTouchEndCapture?: React.TouchEventHandler<HTMLSpanElement> | undefined;
        onTouchMove?: React.TouchEventHandler<HTMLSpanElement> | undefined;
        onTouchMoveCapture?: React.TouchEventHandler<HTMLSpanElement> | undefined;
        onTouchStart?: React.TouchEventHandler<HTMLSpanElement> | undefined;
        onTouchStartCapture?: React.TouchEventHandler<HTMLSpanElement> | undefined;
        onPointerDown?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onPointerDownCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onPointerMove?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onPointerMoveCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onPointerUp?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onPointerUpCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onPointerCancel?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onPointerCancelCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onPointerEnter?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onPointerEnterCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onPointerLeave?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onPointerLeaveCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onPointerOver?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onPointerOverCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onPointerOut?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onPointerOutCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onGotPointerCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onGotPointerCaptureCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onLostPointerCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onLostPointerCaptureCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
        onScroll?: React.UIEventHandler<HTMLSpanElement> | undefined;
        onScrollCapture?: React.UIEventHandler<HTMLSpanElement> | undefined;
        onWheel?: React.WheelEventHandler<HTMLSpanElement> | undefined;
        onWheelCapture?: React.WheelEventHandler<HTMLSpanElement> | undefined;
        onAnimationStart?: React.AnimationEventHandler<HTMLSpanElement> | undefined;
        onAnimationStartCapture?: React.AnimationEventHandler<HTMLSpanElement> | undefined;
        onAnimationEnd?: React.AnimationEventHandler<HTMLSpanElement> | undefined;
        onAnimationEndCapture?: React.AnimationEventHandler<HTMLSpanElement> | undefined;
        onAnimationIteration?: React.AnimationEventHandler<HTMLSpanElement> | undefined;
        onAnimationIterationCapture?: React.AnimationEventHandler<HTMLSpanElement> | undefined;
        onTransitionEnd?: React.TransitionEventHandler<HTMLSpanElement> | undefined;
        onTransitionEndCapture?: React.TransitionEventHandler<HTMLSpanElement> | undefined;
        css?: import("@emotion/core").InterpolationWithTheme<any>;
        disabled?: boolean | undefined;
        validationStatus?: "error" | "warning" | undefined;
        hasLeadingVisual?: boolean | undefined;
        hasTrailingVisual?: boolean | undefined;
        contrast?: boolean | undefined;
    } & {
        theme?: any;
    }, "maxWidth" | "minWidth" | "width" | "size" | "block" | "variant" | "sx" | "disabled" | "contrast">, string | number | symbol> & React.RefAttributes<HTMLInputElement>>, {
        as?: React.ComponentType<any> | undefined;
    }>;
    Menu: typeof AutocompleteMenu;
    Overlay: typeof AutocompleteOverlay;
};
export default _default;
