import React from 'react';
import { Box } from '.';
import VisuallyHidden from './_VisuallyHidden';

const InputLabel = ({
  children,
  disabled,
  required,
  visuallyHidden,
  htmlFor
}) => {
  return /*#__PURE__*/React.createElement(VisuallyHidden, {
    isVisible: !visuallyHidden,
    as: "label",
    htmlFor: htmlFor,
    title: required ? 'required field' : undefined,
    sx: {
      fontWeight: 'bold',
      fontSize: 1,
      display: 'block',
      color: disabled ? 'fg.muted' : 'fg.default'
    }
  }, required ? /*#__PURE__*/React.createElement(Box, {
    display: "flex",
    as: "span"
  }, /*#__PURE__*/React.createElement(Box, {
    mr: 1
  }, children), /*#__PURE__*/React.createElement("span", {
    "aria-hidden": "true"
  }, "*")) : children);
};

InputLabel.displayName = "InputLabel";
export default InputLabel;