import { AlertFillIcon, CheckCircleFillIcon } from '@primer/octicons-react';
import React from 'react';
import { Box, Text } from '.';
const validationIconMap = {
  success: CheckCircleFillIcon,
  error: AlertFillIcon
};
const validationColorMap = {
  success: 'success.fg',
  error: 'danger.fg'
};

const InputValidation = ({
  children,
  id,
  validationStatus
}) => {
  const IconComponent = validationStatus ? validationIconMap[validationStatus] : undefined;
  const fgColor = validationStatus ? validationColorMap[validationStatus] : undefined;
  return /*#__PURE__*/React.createElement(Text, {
    display: "flex",
    color: fgColor,
    fontSize: 0,
    sx: {
      alignItems: 'baseline',
      a: {
        color: 'currentColor',
        textDecoration: 'underline'
      }
    }
  }, IconComponent && /*#__PURE__*/React.createElement(Box, {
    as: "span",
    mr: 1
  }, /*#__PURE__*/React.createElement(IconComponent, {
    size: 12,
    fill: "currentColor"
  })), /*#__PURE__*/React.createElement("span", {
    id: id
  }, children));
};

InputValidation.displayName = "InputValidation";
export default InputValidation;