export namespace theme {
    export { animation };
    export { borderWidths };
    export { breakpoints };
    export { fonts };
    export { fontSizes };
    export { fontWeights };
    export { lineHeights };
    export { radii };
    export { sizes };
    export { space };
    export { colorSchemes };
}
declare namespace animation {
    const easeOutCubic: string;
}
declare const borderWidths: (string | number)[];
declare const breakpoints: string[];
declare namespace fonts {
    const normal: any;
    const mono: any;
}
declare const fontSizes: string[];
declare namespace fontWeights {
    export const light: number;
    const normal_1: number;
    export { normal_1 as normal };
    export const semibold: number;
    export const bold: number;
}
declare const lineHeights: {
    condensedUltra: number;
    condensed: number;
    default: number;
};
declare const radii: string[];
declare namespace sizes {
    const small: string;
    const medium: string;
    const large: string;
    const xlarge: string;
}
declare const space: string[];
/**
 * @type Record<keyof typeof primitives.colors, Record<'colors' | 'shadows', Partial<typeof primitives.colors.light>>
 */
declare const colorSchemes: Record<keyof typeof primitives.colors, Record<'colors' | 'shadows', Partial<typeof primitives.colors.light>>>;
import { default as primitives } from "@primer/primitives";
export {};
