"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LinkItem = void 0;

var _react = _interopRequireDefault(require("react"));

var _Link = _interopRequireDefault(require("../Link"));

var _sx = require("../sx");

var _Item = require("./Item");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const LinkItem = /*#__PURE__*/_react.default.forwardRef(({
  sx = {},
  as: Component,
  ...props
}, forwardedRef) => {
  const styles = {
    // occupy full size of Item
    paddingX: 2,
    paddingY: '6px',
    // custom value off the scale
    display: 'flex',
    flexGrow: 1,
    // full width
    borderRadius: 2,
    // inherit Item styles
    color: 'inherit',
    '&:hover': {
      color: 'inherit',
      textDecoration: 'none'
    }
  };
  return /*#__PURE__*/_react.default.createElement(_Item.Item, {
    sx: {
      paddingY: 0,
      paddingX: 0
    },
    _PrivateItemWrapper: ({
      children
    }) => /*#__PURE__*/_react.default.createElement(_Link.default, _extends({
      as: Component,
      sx: (0, _sx.merge)(styles, sx)
    }, props, {
      ref: forwardedRef
    }), children)
  }, props.children);
});

exports.LinkItem = LinkItem;