"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.List = exports.ListContext = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _sx = _interopRequireWildcard(require("../sx"));

var _ActionListContainerContext = require("./ActionListContainerContext");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const ListContext = /*#__PURE__*/_react.default.createContext({});

exports.ListContext = ListContext;

const ListBox = _styledComponents.default.ul.withConfig({
  displayName: "List__ListBox",
  componentId: "sc-1ixh0z1-0"
})(_sx.default);

const List = /*#__PURE__*/_react.default.forwardRef(({
  variant = 'inset',
  selectionVariant,
  showDividers = false,
  role,
  sx: sxProp = {},
  ...props
}, forwardedRef) => {
  const styles = {
    margin: 0,
    paddingInlineStart: 0,
    // reset ul styles
    paddingY: variant === 'inset' ? 2 : 0
  };
  /** if list is inside a Menu, it will get a role from the Menu */

  const {
    listRole
  } = _react.default.useContext(_ActionListContainerContext.ActionListContainerContext);

  return /*#__PURE__*/_react.default.createElement(ListBox, _extends({
    sx: (0, _sx.merge)(styles, sxProp),
    role: role || listRole
  }, props, {
    ref: forwardedRef
  }), /*#__PURE__*/_react.default.createElement(ListContext.Provider, {
    value: {
      variant,
      selectionVariant,
      showDividers
    }
  }, props.children));
});

exports.List = List;
List.displayName = 'ActionList';