import React from 'react';
import { ButtonProps } from './Button';
import { DetailsProps } from './Details';
import { SxProp } from './sx';
import { ComponentProps } from './utils/types';
export declare type DropdownProps = DetailsProps;
export declare type DropdownButtonProps = ButtonProps;
declare const DropdownCaret: import("styled-components").StyledComponent<"div", any, SxProp, never>;
declare const DropdownMenu: import("styled-components").StyledComponent<"ul", any, {
    direction?: "s" | "ne" | "e" | "se" | "sw" | "w" | undefined;
} & SxProp, never>;
declare const DropdownItem: import("styled-components").StyledComponent<"li", any, SxProp, never>;
export declare type DropdownCaretProps = ComponentProps<typeof DropdownCaret>;
export declare type DropdownMenuProps = ComponentProps<typeof DropdownMenu>;
export declare type DropdownItemProps = ComponentProps<typeof DropdownItem>;
declare const _default: {
    ({ children, className, ...rest }: {
        color?: string | undefined;
        property?: string | undefined;
        translate?: "yes" | "no" | undefined;
        hidden?: boolean | undefined;
        children?: React.ReactNode;
        ref?: ((instance: HTMLElement | null) => void) | React.RefObject<HTMLElement> | null | undefined;
        slot?: string | undefined;
        style?: React.CSSProperties | undefined;
        title?: string | undefined;
        open?: boolean | undefined;
        role?: React.AriaRole | undefined;
        sx?: import("./sx").BetterSystemStyleObject | undefined;
        key?: React.Key | null | undefined;
        defaultChecked?: boolean | undefined;
        defaultValue?: string | number | readonly string[] | undefined;
        suppressContentEditableWarning?: boolean | undefined;
        suppressHydrationWarning?: boolean | undefined;
        accessKey?: string | undefined;
        className?: string | undefined;
        contentEditable?: "inherit" | (boolean | "false" | "true") | undefined;
        contextMenu?: string | undefined;
        dir?: string | undefined;
        draggable?: (boolean | "false" | "true") | undefined;
        id?: string | undefined;
        lang?: string | undefined;
        placeholder?: string | undefined;
        spellCheck?: (boolean | "false" | "true") | undefined;
        tabIndex?: number | undefined;
        radioGroup?: string | undefined;
        about?: string | undefined;
        datatype?: string | undefined;
        inlist?: any;
        prefix?: string | undefined;
        resource?: string | undefined;
        typeof?: string | undefined;
        vocab?: string | undefined;
        autoCapitalize?: string | undefined;
        autoCorrect?: string | undefined;
        autoSave?: string | undefined;
        itemProp?: string | undefined;
        itemScope?: boolean | undefined;
        itemType?: string | undefined;
        itemID?: string | undefined;
        itemRef?: string | undefined;
        results?: number | undefined;
        security?: string | undefined;
        unselectable?: "on" | "off" | undefined;
        inputMode?: "search" | "none" | "text" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined;
        is?: string | undefined;
        'aria-activedescendant'?: string | undefined;
        'aria-atomic'?: boolean | "false" | "true" | undefined;
        'aria-autocomplete'?: "none" | "both" | "inline" | "list" | undefined;
        'aria-busy'?: boolean | "false" | "true" | undefined;
        'aria-checked'?: boolean | "mixed" | "false" | "true" | undefined;
        'aria-colcount'?: number | undefined;
        'aria-colindex'?: number | undefined;
        'aria-colspan'?: number | undefined;
        'aria-controls'?: string | undefined;
        'aria-current'?: boolean | "time" | "page" | "false" | "true" | "step" | "location" | "date" | undefined;
        'aria-describedby'?: string | undefined;
        'aria-details'?: string | undefined;
        'aria-disabled'?: boolean | "false" | "true" | undefined;
        'aria-dropeffect'?: "link" | "none" | "copy" | "move" | "execute" | "popup" | undefined;
        'aria-errormessage'?: string | undefined;
        'aria-expanded'?: boolean | "false" | "true" | undefined;
        'aria-flowto'?: string | undefined;
        'aria-grabbed'?: boolean | "false" | "true" | undefined;
        'aria-haspopup'?: boolean | "grid" | "dialog" | "menu" | "listbox" | "false" | "true" | "tree" | undefined;
        'aria-hidden'?: boolean | "false" | "true" | undefined;
        'aria-invalid'?: boolean | "false" | "true" | "grammar" | "spelling" | undefined;
        'aria-keyshortcuts'?: string | undefined;
        'aria-label'?: string | undefined;
        'aria-labelledby'?: string | undefined;
        'aria-level'?: number | undefined;
        'aria-live'?: "off" | "assertive" | "polite" | undefined;
        'aria-modal'?: boolean | "false" | "true" | undefined;
        'aria-multiline'?: boolean | "false" | "true" | undefined;
        'aria-multiselectable'?: boolean | "false" | "true" | undefined;
        'aria-orientation'?: "horizontal" | "vertical" | undefined;
        'aria-owns'?: string | undefined;
        'aria-placeholder'?: string | undefined;
        'aria-posinset'?: number | undefined;
        'aria-pressed'?: boolean | "mixed" | "false" | "true" | undefined;
        'aria-readonly'?: boolean | "false" | "true" | undefined;
        'aria-relevant'?: "all" | "text" | "additions" | "additions removals" | "additions text" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined;
        'aria-required'?: boolean | "false" | "true" | undefined;
        'aria-roledescription'?: string | undefined;
        'aria-rowcount'?: number | undefined;
        'aria-rowindex'?: number | undefined;
        'aria-rowspan'?: number | undefined;
        'aria-selected'?: boolean | "false" | "true" | undefined;
        'aria-setsize'?: number | undefined;
        'aria-sort'?: "none" | "ascending" | "descending" | "other" | undefined;
        'aria-valuemax'?: number | undefined;
        'aria-valuemin'?: number | undefined;
        'aria-valuenow'?: number | undefined;
        'aria-valuetext'?: string | undefined;
        dangerouslySetInnerHTML?: {
            __html: string;
        } | undefined;
        onCopy?: React.ClipboardEventHandler<HTMLElement> | undefined;
        onCopyCapture?: React.ClipboardEventHandler<HTMLElement> | undefined;
        onCut?: React.ClipboardEventHandler<HTMLElement> | undefined;
        onCutCapture?: React.ClipboardEventHandler<HTMLElement> | undefined;
        onPaste?: React.ClipboardEventHandler<HTMLElement> | undefined;
        onPasteCapture?: React.ClipboardEventHandler<HTMLElement> | undefined;
        onCompositionEnd?: React.CompositionEventHandler<HTMLElement> | undefined;
        onCompositionEndCapture?: React.CompositionEventHandler<HTMLElement> | undefined;
        onCompositionStart?: React.CompositionEventHandler<HTMLElement> | undefined;
        onCompositionStartCapture?: React.CompositionEventHandler<HTMLElement> | undefined;
        onCompositionUpdate?: React.CompositionEventHandler<HTMLElement> | undefined;
        onCompositionUpdateCapture?: React.CompositionEventHandler<HTMLElement> | undefined;
        onFocus?: React.FocusEventHandler<HTMLElement> | undefined;
        onFocusCapture?: React.FocusEventHandler<HTMLElement> | undefined;
        onBlur?: React.FocusEventHandler<HTMLElement> | undefined;
        onBlurCapture?: React.FocusEventHandler<HTMLElement> | undefined;
        onChange?: React.FormEventHandler<HTMLElement> | undefined;
        onChangeCapture?: React.FormEventHandler<HTMLElement> | undefined;
        onBeforeInput?: React.FormEventHandler<HTMLElement> | undefined;
        onBeforeInputCapture?: React.FormEventHandler<HTMLElement> | undefined;
        onInput?: React.FormEventHandler<HTMLElement> | undefined;
        onInputCapture?: React.FormEventHandler<HTMLElement> | undefined;
        onReset?: React.FormEventHandler<HTMLElement> | undefined;
        onResetCapture?: React.FormEventHandler<HTMLElement> | undefined;
        onSubmit?: React.FormEventHandler<HTMLElement> | undefined;
        onSubmitCapture?: React.FormEventHandler<HTMLElement> | undefined;
        onInvalid?: React.FormEventHandler<HTMLElement> | undefined;
        onInvalidCapture?: React.FormEventHandler<HTMLElement> | undefined;
        onLoad?: React.ReactEventHandler<HTMLElement> | undefined;
        onLoadCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onError?: React.ReactEventHandler<HTMLElement> | undefined;
        onErrorCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onKeyDown?: React.KeyboardEventHandler<HTMLElement> | undefined;
        onKeyDownCapture?: React.KeyboardEventHandler<HTMLElement> | undefined;
        onKeyPress?: React.KeyboardEventHandler<HTMLElement> | undefined;
        onKeyPressCapture?: React.KeyboardEventHandler<HTMLElement> | undefined;
        onKeyUp?: React.KeyboardEventHandler<HTMLElement> | undefined;
        onKeyUpCapture?: React.KeyboardEventHandler<HTMLElement> | undefined;
        onAbort?: React.ReactEventHandler<HTMLElement> | undefined;
        onAbortCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onCanPlay?: React.ReactEventHandler<HTMLElement> | undefined;
        onCanPlayCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onCanPlayThrough?: React.ReactEventHandler<HTMLElement> | undefined;
        onCanPlayThroughCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onDurationChange?: React.ReactEventHandler<HTMLElement> | undefined;
        onDurationChangeCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onEmptied?: React.ReactEventHandler<HTMLElement> | undefined;
        onEmptiedCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onEncrypted?: React.ReactEventHandler<HTMLElement> | undefined;
        onEncryptedCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onEnded?: React.ReactEventHandler<HTMLElement> | undefined;
        onEndedCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onLoadedData?: React.ReactEventHandler<HTMLElement> | undefined;
        onLoadedDataCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onLoadedMetadata?: React.ReactEventHandler<HTMLElement> | undefined;
        onLoadedMetadataCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onLoadStart?: React.ReactEventHandler<HTMLElement> | undefined;
        onLoadStartCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onPause?: React.ReactEventHandler<HTMLElement> | undefined;
        onPauseCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onPlay?: React.ReactEventHandler<HTMLElement> | undefined;
        onPlayCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onPlaying?: React.ReactEventHandler<HTMLElement> | undefined;
        onPlayingCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onProgress?: React.ReactEventHandler<HTMLElement> | undefined;
        onProgressCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onRateChange?: React.ReactEventHandler<HTMLElement> | undefined;
        onRateChangeCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onSeeked?: React.ReactEventHandler<HTMLElement> | undefined;
        onSeekedCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onSeeking?: React.ReactEventHandler<HTMLElement> | undefined;
        onSeekingCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onStalled?: React.ReactEventHandler<HTMLElement> | undefined;
        onStalledCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onSuspend?: React.ReactEventHandler<HTMLElement> | undefined;
        onSuspendCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onTimeUpdate?: React.ReactEventHandler<HTMLElement> | undefined;
        onTimeUpdateCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onVolumeChange?: React.ReactEventHandler<HTMLElement> | undefined;
        onVolumeChangeCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onWaiting?: React.ReactEventHandler<HTMLElement> | undefined;
        onWaitingCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onAuxClick?: React.MouseEventHandler<HTMLElement> | undefined;
        onAuxClickCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onClick?: React.MouseEventHandler<HTMLElement> | undefined;
        onClickCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onContextMenu?: React.MouseEventHandler<HTMLElement> | undefined;
        onContextMenuCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onDoubleClick?: React.MouseEventHandler<HTMLElement> | undefined;
        onDoubleClickCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onDrag?: React.DragEventHandler<HTMLElement> | undefined;
        onDragCapture?: React.DragEventHandler<HTMLElement> | undefined;
        onDragEnd?: React.DragEventHandler<HTMLElement> | undefined;
        onDragEndCapture?: React.DragEventHandler<HTMLElement> | undefined;
        onDragEnter?: React.DragEventHandler<HTMLElement> | undefined;
        onDragEnterCapture?: React.DragEventHandler<HTMLElement> | undefined;
        onDragExit?: React.DragEventHandler<HTMLElement> | undefined;
        onDragExitCapture?: React.DragEventHandler<HTMLElement> | undefined;
        onDragLeave?: React.DragEventHandler<HTMLElement> | undefined;
        onDragLeaveCapture?: React.DragEventHandler<HTMLElement> | undefined;
        onDragOver?: React.DragEventHandler<HTMLElement> | undefined;
        onDragOverCapture?: React.DragEventHandler<HTMLElement> | undefined;
        onDragStart?: React.DragEventHandler<HTMLElement> | undefined;
        onDragStartCapture?: React.DragEventHandler<HTMLElement> | undefined;
        onDrop?: React.DragEventHandler<HTMLElement> | undefined;
        onDropCapture?: React.DragEventHandler<HTMLElement> | undefined;
        onMouseDown?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseDownCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseEnter?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseLeave?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseMove?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseMoveCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseOut?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseOutCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseOver?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseOverCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseUp?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseUpCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onSelect?: React.ReactEventHandler<HTMLElement> | undefined;
        onSelectCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onTouchCancel?: React.TouchEventHandler<HTMLElement> | undefined;
        onTouchCancelCapture?: React.TouchEventHandler<HTMLElement> | undefined;
        onTouchEnd?: React.TouchEventHandler<HTMLElement> | undefined;
        onTouchEndCapture?: React.TouchEventHandler<HTMLElement> | undefined;
        onTouchMove?: React.TouchEventHandler<HTMLElement> | undefined;
        onTouchMoveCapture?: React.TouchEventHandler<HTMLElement> | undefined;
        onTouchStart?: React.TouchEventHandler<HTMLElement> | undefined;
        onTouchStartCapture?: React.TouchEventHandler<HTMLElement> | undefined;
        onPointerDown?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerDownCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerMove?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerMoveCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerUp?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerUpCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerCancel?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerCancelCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerEnter?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerEnterCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerLeave?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerLeaveCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerOver?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerOverCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerOut?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerOutCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onGotPointerCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onGotPointerCaptureCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onLostPointerCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onLostPointerCaptureCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onScroll?: React.UIEventHandler<HTMLElement> | undefined;
        onScrollCapture?: React.UIEventHandler<HTMLElement> | undefined;
        onWheel?: React.WheelEventHandler<HTMLElement> | undefined;
        onWheelCapture?: React.WheelEventHandler<HTMLElement> | undefined;
        onAnimationStart?: React.AnimationEventHandler<HTMLElement> | undefined;
        onAnimationStartCapture?: React.AnimationEventHandler<HTMLElement> | undefined;
        onAnimationEnd?: React.AnimationEventHandler<HTMLElement> | undefined;
        onAnimationEndCapture?: React.AnimationEventHandler<HTMLElement> | undefined;
        onAnimationIteration?: React.AnimationEventHandler<HTMLElement> | undefined;
        onAnimationIterationCapture?: React.AnimationEventHandler<HTMLElement> | undefined;
        onTransitionEnd?: React.TransitionEventHandler<HTMLElement> | undefined;
        onTransitionEndCapture?: React.TransitionEventHandler<HTMLElement> | undefined;
        css?: import("@emotion/core").InterpolationWithTheme<any>;
        onToggle?: React.ReactEventHandler<HTMLElement> | undefined;
    } & {
        theme?: any;
    }): JSX.Element;
    defaultProps: Partial<{
        color?: string | undefined;
        property?: string | undefined;
        translate?: "yes" | "no" | undefined;
        hidden?: boolean | undefined;
        children?: React.ReactNode;
        ref?: ((instance: HTMLElement | null) => void) | React.RefObject<HTMLElement> | null | undefined;
        slot?: string | undefined;
        style?: React.CSSProperties | undefined;
        title?: string | undefined;
        open?: boolean | undefined;
        role?: React.AriaRole | undefined;
        sx?: import("./sx").BetterSystemStyleObject | undefined;
        key?: React.Key | null | undefined;
        defaultChecked?: boolean | undefined;
        defaultValue?: string | number | readonly string[] | undefined;
        suppressContentEditableWarning?: boolean | undefined;
        suppressHydrationWarning?: boolean | undefined;
        accessKey?: string | undefined;
        className?: string | undefined;
        contentEditable?: "inherit" | (boolean | "false" | "true") | undefined;
        contextMenu?: string | undefined;
        dir?: string | undefined;
        draggable?: (boolean | "false" | "true") | undefined;
        id?: string | undefined;
        lang?: string | undefined;
        placeholder?: string | undefined;
        spellCheck?: (boolean | "false" | "true") | undefined;
        tabIndex?: number | undefined;
        radioGroup?: string | undefined;
        about?: string | undefined;
        datatype?: string | undefined;
        inlist?: any;
        prefix?: string | undefined;
        resource?: string | undefined;
        typeof?: string | undefined;
        vocab?: string | undefined;
        autoCapitalize?: string | undefined;
        autoCorrect?: string | undefined;
        autoSave?: string | undefined;
        itemProp?: string | undefined;
        itemScope?: boolean | undefined;
        itemType?: string | undefined;
        itemID?: string | undefined;
        itemRef?: string | undefined;
        results?: number | undefined;
        security?: string | undefined;
        unselectable?: "on" | "off" | undefined;
        inputMode?: "search" | "none" | "text" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined;
        is?: string | undefined;
        'aria-activedescendant'?: string | undefined;
        'aria-atomic'?: boolean | "false" | "true" | undefined;
        'aria-autocomplete'?: "none" | "both" | "inline" | "list" | undefined;
        'aria-busy'?: boolean | "false" | "true" | undefined;
        'aria-checked'?: boolean | "mixed" | "false" | "true" | undefined;
        'aria-colcount'?: number | undefined;
        'aria-colindex'?: number | undefined;
        'aria-colspan'?: number | undefined;
        'aria-controls'?: string | undefined;
        'aria-current'?: boolean | "time" | "page" | "false" | "true" | "step" | "location" | "date" | undefined;
        'aria-describedby'?: string | undefined;
        'aria-details'?: string | undefined;
        'aria-disabled'?: boolean | "false" | "true" | undefined;
        'aria-dropeffect'?: "link" | "none" | "copy" | "move" | "execute" | "popup" | undefined;
        'aria-errormessage'?: string | undefined;
        'aria-expanded'?: boolean | "false" | "true" | undefined;
        'aria-flowto'?: string | undefined;
        'aria-grabbed'?: boolean | "false" | "true" | undefined;
        'aria-haspopup'?: boolean | "grid" | "dialog" | "menu" | "listbox" | "false" | "true" | "tree" | undefined;
        'aria-hidden'?: boolean | "false" | "true" | undefined;
        'aria-invalid'?: boolean | "false" | "true" | "grammar" | "spelling" | undefined;
        'aria-keyshortcuts'?: string | undefined;
        'aria-label'?: string | undefined;
        'aria-labelledby'?: string | undefined;
        'aria-level'?: number | undefined;
        'aria-live'?: "off" | "assertive" | "polite" | undefined;
        'aria-modal'?: boolean | "false" | "true" | undefined;
        'aria-multiline'?: boolean | "false" | "true" | undefined;
        'aria-multiselectable'?: boolean | "false" | "true" | undefined;
        'aria-orientation'?: "horizontal" | "vertical" | undefined;
        'aria-owns'?: string | undefined;
        'aria-placeholder'?: string | undefined;
        'aria-posinset'?: number | undefined;
        'aria-pressed'?: boolean | "mixed" | "false" | "true" | undefined;
        'aria-readonly'?: boolean | "false" | "true" | undefined;
        'aria-relevant'?: "all" | "text" | "additions" | "additions removals" | "additions text" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined;
        'aria-required'?: boolean | "false" | "true" | undefined;
        'aria-roledescription'?: string | undefined;
        'aria-rowcount'?: number | undefined;
        'aria-rowindex'?: number | undefined;
        'aria-rowspan'?: number | undefined;
        'aria-selected'?: boolean | "false" | "true" | undefined;
        'aria-setsize'?: number | undefined;
        'aria-sort'?: "none" | "ascending" | "descending" | "other" | undefined;
        'aria-valuemax'?: number | undefined;
        'aria-valuemin'?: number | undefined;
        'aria-valuenow'?: number | undefined;
        'aria-valuetext'?: string | undefined;
        dangerouslySetInnerHTML?: {
            __html: string;
        } | undefined;
        onCopy?: React.ClipboardEventHandler<HTMLElement> | undefined;
        onCopyCapture?: React.ClipboardEventHandler<HTMLElement> | undefined;
        onCut?: React.ClipboardEventHandler<HTMLElement> | undefined;
        onCutCapture?: React.ClipboardEventHandler<HTMLElement> | undefined;
        onPaste?: React.ClipboardEventHandler<HTMLElement> | undefined;
        onPasteCapture?: React.ClipboardEventHandler<HTMLElement> | undefined;
        onCompositionEnd?: React.CompositionEventHandler<HTMLElement> | undefined;
        onCompositionEndCapture?: React.CompositionEventHandler<HTMLElement> | undefined;
        onCompositionStart?: React.CompositionEventHandler<HTMLElement> | undefined;
        onCompositionStartCapture?: React.CompositionEventHandler<HTMLElement> | undefined;
        onCompositionUpdate?: React.CompositionEventHandler<HTMLElement> | undefined;
        onCompositionUpdateCapture?: React.CompositionEventHandler<HTMLElement> | undefined;
        onFocus?: React.FocusEventHandler<HTMLElement> | undefined;
        onFocusCapture?: React.FocusEventHandler<HTMLElement> | undefined;
        onBlur?: React.FocusEventHandler<HTMLElement> | undefined;
        onBlurCapture?: React.FocusEventHandler<HTMLElement> | undefined;
        onChange?: React.FormEventHandler<HTMLElement> | undefined;
        onChangeCapture?: React.FormEventHandler<HTMLElement> | undefined;
        onBeforeInput?: React.FormEventHandler<HTMLElement> | undefined;
        onBeforeInputCapture?: React.FormEventHandler<HTMLElement> | undefined;
        onInput?: React.FormEventHandler<HTMLElement> | undefined;
        onInputCapture?: React.FormEventHandler<HTMLElement> | undefined;
        onReset?: React.FormEventHandler<HTMLElement> | undefined;
        onResetCapture?: React.FormEventHandler<HTMLElement> | undefined;
        onSubmit?: React.FormEventHandler<HTMLElement> | undefined;
        onSubmitCapture?: React.FormEventHandler<HTMLElement> | undefined;
        onInvalid?: React.FormEventHandler<HTMLElement> | undefined;
        onInvalidCapture?: React.FormEventHandler<HTMLElement> | undefined;
        onLoad?: React.ReactEventHandler<HTMLElement> | undefined;
        onLoadCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onError?: React.ReactEventHandler<HTMLElement> | undefined;
        onErrorCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onKeyDown?: React.KeyboardEventHandler<HTMLElement> | undefined;
        onKeyDownCapture?: React.KeyboardEventHandler<HTMLElement> | undefined;
        onKeyPress?: React.KeyboardEventHandler<HTMLElement> | undefined;
        onKeyPressCapture?: React.KeyboardEventHandler<HTMLElement> | undefined;
        onKeyUp?: React.KeyboardEventHandler<HTMLElement> | undefined;
        onKeyUpCapture?: React.KeyboardEventHandler<HTMLElement> | undefined;
        onAbort?: React.ReactEventHandler<HTMLElement> | undefined;
        onAbortCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onCanPlay?: React.ReactEventHandler<HTMLElement> | undefined;
        onCanPlayCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onCanPlayThrough?: React.ReactEventHandler<HTMLElement> | undefined;
        onCanPlayThroughCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onDurationChange?: React.ReactEventHandler<HTMLElement> | undefined;
        onDurationChangeCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onEmptied?: React.ReactEventHandler<HTMLElement> | undefined;
        onEmptiedCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onEncrypted?: React.ReactEventHandler<HTMLElement> | undefined;
        onEncryptedCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onEnded?: React.ReactEventHandler<HTMLElement> | undefined;
        onEndedCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onLoadedData?: React.ReactEventHandler<HTMLElement> | undefined;
        onLoadedDataCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onLoadedMetadata?: React.ReactEventHandler<HTMLElement> | undefined;
        onLoadedMetadataCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onLoadStart?: React.ReactEventHandler<HTMLElement> | undefined;
        onLoadStartCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onPause?: React.ReactEventHandler<HTMLElement> | undefined;
        onPauseCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onPlay?: React.ReactEventHandler<HTMLElement> | undefined;
        onPlayCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onPlaying?: React.ReactEventHandler<HTMLElement> | undefined;
        onPlayingCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onProgress?: React.ReactEventHandler<HTMLElement> | undefined;
        onProgressCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onRateChange?: React.ReactEventHandler<HTMLElement> | undefined;
        onRateChangeCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onSeeked?: React.ReactEventHandler<HTMLElement> | undefined;
        onSeekedCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onSeeking?: React.ReactEventHandler<HTMLElement> | undefined;
        onSeekingCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onStalled?: React.ReactEventHandler<HTMLElement> | undefined;
        onStalledCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onSuspend?: React.ReactEventHandler<HTMLElement> | undefined;
        onSuspendCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onTimeUpdate?: React.ReactEventHandler<HTMLElement> | undefined;
        onTimeUpdateCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onVolumeChange?: React.ReactEventHandler<HTMLElement> | undefined;
        onVolumeChangeCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onWaiting?: React.ReactEventHandler<HTMLElement> | undefined;
        onWaitingCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onAuxClick?: React.MouseEventHandler<HTMLElement> | undefined;
        onAuxClickCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onClick?: React.MouseEventHandler<HTMLElement> | undefined;
        onClickCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onContextMenu?: React.MouseEventHandler<HTMLElement> | undefined;
        onContextMenuCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onDoubleClick?: React.MouseEventHandler<HTMLElement> | undefined;
        onDoubleClickCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onDrag?: React.DragEventHandler<HTMLElement> | undefined;
        onDragCapture?: React.DragEventHandler<HTMLElement> | undefined;
        onDragEnd?: React.DragEventHandler<HTMLElement> | undefined;
        onDragEndCapture?: React.DragEventHandler<HTMLElement> | undefined;
        onDragEnter?: React.DragEventHandler<HTMLElement> | undefined;
        onDragEnterCapture?: React.DragEventHandler<HTMLElement> | undefined;
        onDragExit?: React.DragEventHandler<HTMLElement> | undefined;
        onDragExitCapture?: React.DragEventHandler<HTMLElement> | undefined;
        onDragLeave?: React.DragEventHandler<HTMLElement> | undefined;
        onDragLeaveCapture?: React.DragEventHandler<HTMLElement> | undefined;
        onDragOver?: React.DragEventHandler<HTMLElement> | undefined;
        onDragOverCapture?: React.DragEventHandler<HTMLElement> | undefined;
        onDragStart?: React.DragEventHandler<HTMLElement> | undefined;
        onDragStartCapture?: React.DragEventHandler<HTMLElement> | undefined;
        onDrop?: React.DragEventHandler<HTMLElement> | undefined;
        onDropCapture?: React.DragEventHandler<HTMLElement> | undefined;
        onMouseDown?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseDownCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseEnter?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseLeave?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseMove?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseMoveCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseOut?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseOutCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseOver?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseOverCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseUp?: React.MouseEventHandler<HTMLElement> | undefined;
        onMouseUpCapture?: React.MouseEventHandler<HTMLElement> | undefined;
        onSelect?: React.ReactEventHandler<HTMLElement> | undefined;
        onSelectCapture?: React.ReactEventHandler<HTMLElement> | undefined;
        onTouchCancel?: React.TouchEventHandler<HTMLElement> | undefined;
        onTouchCancelCapture?: React.TouchEventHandler<HTMLElement> | undefined;
        onTouchEnd?: React.TouchEventHandler<HTMLElement> | undefined;
        onTouchEndCapture?: React.TouchEventHandler<HTMLElement> | undefined;
        onTouchMove?: React.TouchEventHandler<HTMLElement> | undefined;
        onTouchMoveCapture?: React.TouchEventHandler<HTMLElement> | undefined;
        onTouchStart?: React.TouchEventHandler<HTMLElement> | undefined;
        onTouchStartCapture?: React.TouchEventHandler<HTMLElement> | undefined;
        onPointerDown?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerDownCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerMove?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerMoveCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerUp?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerUpCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerCancel?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerCancelCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerEnter?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerEnterCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerLeave?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerLeaveCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerOver?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerOverCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerOut?: React.PointerEventHandler<HTMLElement> | undefined;
        onPointerOutCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onGotPointerCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onGotPointerCaptureCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onLostPointerCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onLostPointerCaptureCapture?: React.PointerEventHandler<HTMLElement> | undefined;
        onScroll?: React.UIEventHandler<HTMLElement> | undefined;
        onScrollCapture?: React.UIEventHandler<HTMLElement> | undefined;
        onWheel?: React.WheelEventHandler<HTMLElement> | undefined;
        onWheelCapture?: React.WheelEventHandler<HTMLElement> | undefined;
        onAnimationStart?: React.AnimationEventHandler<HTMLElement> | undefined;
        onAnimationStartCapture?: React.AnimationEventHandler<HTMLElement> | undefined;
        onAnimationEnd?: React.AnimationEventHandler<HTMLElement> | undefined;
        onAnimationEndCapture?: React.AnimationEventHandler<HTMLElement> | undefined;
        onAnimationIteration?: React.AnimationEventHandler<HTMLElement> | undefined;
        onAnimationIterationCapture?: React.AnimationEventHandler<HTMLElement> | undefined;
        onTransitionEnd?: React.TransitionEventHandler<HTMLElement> | undefined;
        onTransitionEndCapture?: React.TransitionEventHandler<HTMLElement> | undefined;
        css?: import("@emotion/core").InterpolationWithTheme<any>;
        onToggle?: React.ReactEventHandler<HTMLElement> | undefined;
    } & {
        theme?: any;
    }> | undefined;
} & {
    Caret: import("styled-components").StyledComponent<"div", any, SxProp, never>;
    Menu: import("styled-components").StyledComponent<"ul", any, {
        direction?: "s" | "ne" | "e" | "se" | "sw" | "w" | undefined;
    } & SxProp, never>;
    Item: import("styled-components").StyledComponent<"li", any, SxProp, never>;
    Button: {
        ({ children, ...rest }: {
            color?: string | undefined;
            property?: string | undefined;
            translate?: "yes" | "no" | undefined;
            hidden?: boolean | undefined;
            children?: React.ReactNode;
            value?: string | number | readonly string[] | undefined;
            ref?: ((instance: HTMLButtonElement | null) => void) | React.RefObject<HTMLButtonElement> | null | undefined;
            form?: string | undefined;
            slot?: string | undefined;
            style?: React.CSSProperties | undefined;
            title?: string | undefined;
            variant?: "small" | "medium" | "large" | undefined;
            role?: React.AriaRole | undefined;
            sx?: import("./sx").BetterSystemStyleObject | undefined;
            type?: "button" | "reset" | "submit" | undefined;
            name?: string | undefined;
            key?: React.Key | null | undefined;
            defaultChecked?: boolean | undefined;
            defaultValue?: string | number | readonly string[] | undefined;
            suppressContentEditableWarning?: boolean | undefined;
            suppressHydrationWarning?: boolean | undefined;
            accessKey?: string | undefined;
            className?: string | undefined;
            contentEditable?: "inherit" | (boolean | "false" | "true") | undefined;
            contextMenu?: string | undefined;
            dir?: string | undefined;
            draggable?: (boolean | "false" | "true") | undefined;
            id?: string | undefined;
            lang?: string | undefined;
            placeholder?: string | undefined;
            spellCheck?: (boolean | "false" | "true") | undefined;
            tabIndex?: number | undefined;
            radioGroup?: string | undefined;
            about?: string | undefined;
            datatype?: string | undefined;
            inlist?: any;
            prefix?: string | undefined;
            resource?: string | undefined;
            typeof?: string | undefined;
            vocab?: string | undefined;
            autoCapitalize?: string | undefined;
            autoCorrect?: string | undefined;
            autoSave?: string | undefined;
            itemProp?: string | undefined;
            itemScope?: boolean | undefined;
            itemType?: string | undefined;
            itemID?: string | undefined;
            itemRef?: string | undefined;
            results?: number | undefined;
            security?: string | undefined;
            unselectable?: "on" | "off" | undefined;
            inputMode?: "search" | "none" | "text" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined;
            is?: string | undefined;
            'aria-activedescendant'?: string | undefined;
            'aria-atomic'?: boolean | "false" | "true" | undefined;
            'aria-autocomplete'?: "none" | "both" | "inline" | "list" | undefined;
            'aria-busy'?: boolean | "false" | "true" | undefined;
            'aria-checked'?: boolean | "mixed" | "false" | "true" | undefined;
            'aria-colcount'?: number | undefined;
            'aria-colindex'?: number | undefined;
            'aria-colspan'?: number | undefined;
            'aria-controls'?: string | undefined;
            'aria-current'?: boolean | "time" | "page" | "false" | "true" | "step" | "location" | "date" | undefined;
            'aria-describedby'?: string | undefined;
            'aria-details'?: string | undefined;
            'aria-disabled'?: boolean | "false" | "true" | undefined;
            'aria-dropeffect'?: "link" | "none" | "copy" | "move" | "execute" | "popup" | undefined;
            'aria-errormessage'?: string | undefined;
            'aria-expanded'?: boolean | "false" | "true" | undefined;
            'aria-flowto'?: string | undefined;
            'aria-grabbed'?: boolean | "false" | "true" | undefined;
            'aria-haspopup'?: boolean | "grid" | "dialog" | "menu" | "listbox" | "false" | "true" | "tree" | undefined;
            'aria-hidden'?: boolean | "false" | "true" | undefined;
            'aria-invalid'?: boolean | "false" | "true" | "grammar" | "spelling" | undefined;
            'aria-keyshortcuts'?: string | undefined;
            'aria-label'?: string | undefined;
            'aria-labelledby'?: string | undefined;
            'aria-level'?: number | undefined;
            'aria-live'?: "off" | "assertive" | "polite" | undefined;
            'aria-modal'?: boolean | "false" | "true" | undefined;
            'aria-multiline'?: boolean | "false" | "true" | undefined;
            'aria-multiselectable'?: boolean | "false" | "true" | undefined;
            'aria-orientation'?: "horizontal" | "vertical" | undefined;
            'aria-owns'?: string | undefined;
            'aria-placeholder'?: string | undefined;
            'aria-posinset'?: number | undefined;
            'aria-pressed'?: boolean | "mixed" | "false" | "true" | undefined;
            'aria-readonly'?: boolean | "false" | "true" | undefined;
            'aria-relevant'?: "all" | "text" | "additions" | "additions removals" | "additions text" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined;
            'aria-required'?: boolean | "false" | "true" | undefined;
            'aria-roledescription'?: string | undefined;
            'aria-rowcount'?: number | undefined;
            'aria-rowindex'?: number | undefined;
            'aria-rowspan'?: number | undefined;
            'aria-selected'?: boolean | "false" | "true" | undefined;
            'aria-setsize'?: number | undefined;
            'aria-sort'?: "none" | "ascending" | "descending" | "other" | undefined;
            'aria-valuemax'?: number | undefined;
            'aria-valuemin'?: number | undefined;
            'aria-valuenow'?: number | undefined;
            'aria-valuetext'?: string | undefined;
            dangerouslySetInnerHTML?: {
                __html: string;
            } | undefined;
            onCopy?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
            onCopyCapture?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
            onCut?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
            onCutCapture?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
            onPaste?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
            onPasteCapture?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
            onCompositionEnd?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
            onCompositionEndCapture?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
            onCompositionStart?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
            onCompositionStartCapture?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
            onCompositionUpdate?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
            onCompositionUpdateCapture?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
            onFocus?: React.FocusEventHandler<HTMLButtonElement> | undefined;
            onFocusCapture?: React.FocusEventHandler<HTMLButtonElement> | undefined;
            onBlur?: React.FocusEventHandler<HTMLButtonElement> | undefined;
            onBlurCapture?: React.FocusEventHandler<HTMLButtonElement> | undefined;
            onChange?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onChangeCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onBeforeInput?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onBeforeInputCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onInput?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onInputCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onReset?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onResetCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onSubmit?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onSubmitCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onInvalid?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onInvalidCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onLoad?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onLoadCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onError?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onErrorCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onKeyDown?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
            onKeyDownCapture?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
            onKeyPress?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
            onKeyPressCapture?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
            onKeyUp?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
            onKeyUpCapture?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
            onAbort?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onAbortCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onCanPlay?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onCanPlayCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onCanPlayThrough?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onCanPlayThroughCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onDurationChange?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onDurationChangeCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onEmptied?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onEmptiedCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onEncrypted?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onEncryptedCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onEnded?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onEndedCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onLoadedData?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onLoadedDataCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onLoadedMetadata?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onLoadedMetadataCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onLoadStart?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onLoadStartCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onPause?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onPauseCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onPlay?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onPlayCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onPlaying?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onPlayingCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onProgress?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onProgressCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onRateChange?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onRateChangeCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onSeeked?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onSeekedCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onSeeking?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onSeekingCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onStalled?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onStalledCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onSuspend?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onSuspendCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onTimeUpdate?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onTimeUpdateCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onVolumeChange?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onVolumeChangeCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onWaiting?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onWaitingCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onAuxClick?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onAuxClickCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onClick?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onClickCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onContextMenu?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onContextMenuCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onDoubleClick?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onDoubleClickCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onDrag?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragEnd?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragEndCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragEnter?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragEnterCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragExit?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragExitCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragLeave?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragLeaveCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragOver?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragOverCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragStart?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragStartCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDrop?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDropCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onMouseDown?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseDownCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseEnter?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseLeave?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseMove?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseMoveCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseOut?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseOutCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseOver?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseOverCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseUp?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseUpCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onSelect?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onSelectCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onTouchCancel?: React.TouchEventHandler<HTMLButtonElement> | undefined;
            onTouchCancelCapture?: React.TouchEventHandler<HTMLButtonElement> | undefined;
            onTouchEnd?: React.TouchEventHandler<HTMLButtonElement> | undefined;
            onTouchEndCapture?: React.TouchEventHandler<HTMLButtonElement> | undefined;
            onTouchMove?: React.TouchEventHandler<HTMLButtonElement> | undefined;
            onTouchMoveCapture?: React.TouchEventHandler<HTMLButtonElement> | undefined;
            onTouchStart?: React.TouchEventHandler<HTMLButtonElement> | undefined;
            onTouchStartCapture?: React.TouchEventHandler<HTMLButtonElement> | undefined;
            onPointerDown?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerDownCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerMove?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerMoveCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerUp?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerUpCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerCancel?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerCancelCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerEnter?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerEnterCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerLeave?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerLeaveCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerOver?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerOverCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerOut?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerOutCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onGotPointerCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onGotPointerCaptureCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onLostPointerCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onLostPointerCaptureCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onScroll?: React.UIEventHandler<HTMLButtonElement> | undefined;
            onScrollCapture?: React.UIEventHandler<HTMLButtonElement> | undefined;
            onWheel?: React.WheelEventHandler<HTMLButtonElement> | undefined;
            onWheelCapture?: React.WheelEventHandler<HTMLButtonElement> | undefined;
            onAnimationStart?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
            onAnimationStartCapture?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
            onAnimationEnd?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
            onAnimationEndCapture?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
            onAnimationIteration?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
            onAnimationIterationCapture?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
            onTransitionEnd?: React.TransitionEventHandler<HTMLButtonElement> | undefined;
            onTransitionEndCapture?: React.TransitionEventHandler<HTMLButtonElement> | undefined;
            css?: import("@emotion/core").InterpolationWithTheme<any>;
            disabled?: boolean | undefined;
            as?: string | React.ComponentClass<any, any> | React.FunctionComponent<any> | undefined;
            autoFocus?: boolean | undefined;
            formAction?: string | undefined;
            formEncType?: string | undefined;
            formMethod?: string | undefined;
            formNoValidate?: boolean | undefined;
            formTarget?: string | undefined;
        } & {
            theme?: any;
        }): JSX.Element;
        defaultProps: Partial<{
            color?: string | undefined;
            property?: string | undefined;
            translate?: "yes" | "no" | undefined;
            hidden?: boolean | undefined;
            children?: React.ReactNode;
            value?: string | number | readonly string[] | undefined;
            ref?: ((instance: HTMLButtonElement | null) => void) | React.RefObject<HTMLButtonElement> | null | undefined;
            form?: string | undefined;
            slot?: string | undefined;
            style?: React.CSSProperties | undefined;
            title?: string | undefined;
            variant?: "small" | "medium" | "large" | undefined;
            role?: React.AriaRole | undefined;
            sx?: import("./sx").BetterSystemStyleObject | undefined;
            type?: "button" | "reset" | "submit" | undefined;
            name?: string | undefined;
            key?: React.Key | null | undefined;
            defaultChecked?: boolean | undefined;
            defaultValue?: string | number | readonly string[] | undefined;
            suppressContentEditableWarning?: boolean | undefined;
            suppressHydrationWarning?: boolean | undefined;
            accessKey?: string | undefined;
            className?: string | undefined;
            contentEditable?: "inherit" | (boolean | "false" | "true") | undefined;
            contextMenu?: string | undefined;
            dir?: string | undefined;
            draggable?: (boolean | "false" | "true") | undefined;
            id?: string | undefined;
            lang?: string | undefined;
            placeholder?: string | undefined;
            spellCheck?: (boolean | "false" | "true") | undefined;
            tabIndex?: number | undefined;
            radioGroup?: string | undefined;
            about?: string | undefined;
            datatype?: string | undefined;
            inlist?: any;
            prefix?: string | undefined;
            resource?: string | undefined;
            typeof?: string | undefined;
            vocab?: string | undefined;
            autoCapitalize?: string | undefined;
            autoCorrect?: string | undefined;
            autoSave?: string | undefined;
            itemProp?: string | undefined;
            itemScope?: boolean | undefined;
            itemType?: string | undefined;
            itemID?: string | undefined;
            itemRef?: string | undefined;
            results?: number | undefined;
            security?: string | undefined;
            unselectable?: "on" | "off" | undefined;
            inputMode?: "search" | "none" | "text" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined;
            is?: string | undefined;
            'aria-activedescendant'?: string | undefined;
            'aria-atomic'?: boolean | "false" | "true" | undefined;
            'aria-autocomplete'?: "none" | "both" | "inline" | "list" | undefined;
            'aria-busy'?: boolean | "false" | "true" | undefined;
            'aria-checked'?: boolean | "mixed" | "false" | "true" | undefined;
            'aria-colcount'?: number | undefined;
            'aria-colindex'?: number | undefined;
            'aria-colspan'?: number | undefined;
            'aria-controls'?: string | undefined;
            'aria-current'?: boolean | "time" | "page" | "false" | "true" | "step" | "location" | "date" | undefined;
            'aria-describedby'?: string | undefined;
            'aria-details'?: string | undefined;
            'aria-disabled'?: boolean | "false" | "true" | undefined;
            'aria-dropeffect'?: "link" | "none" | "copy" | "move" | "execute" | "popup" | undefined;
            'aria-errormessage'?: string | undefined;
            'aria-expanded'?: boolean | "false" | "true" | undefined;
            'aria-flowto'?: string | undefined;
            'aria-grabbed'?: boolean | "false" | "true" | undefined;
            'aria-haspopup'?: boolean | "grid" | "dialog" | "menu" | "listbox" | "false" | "true" | "tree" | undefined;
            'aria-hidden'?: boolean | "false" | "true" | undefined;
            'aria-invalid'?: boolean | "false" | "true" | "grammar" | "spelling" | undefined;
            'aria-keyshortcuts'?: string | undefined;
            'aria-label'?: string | undefined;
            'aria-labelledby'?: string | undefined;
            'aria-level'?: number | undefined;
            'aria-live'?: "off" | "assertive" | "polite" | undefined;
            'aria-modal'?: boolean | "false" | "true" | undefined;
            'aria-multiline'?: boolean | "false" | "true" | undefined;
            'aria-multiselectable'?: boolean | "false" | "true" | undefined;
            'aria-orientation'?: "horizontal" | "vertical" | undefined;
            'aria-owns'?: string | undefined;
            'aria-placeholder'?: string | undefined;
            'aria-posinset'?: number | undefined;
            'aria-pressed'?: boolean | "mixed" | "false" | "true" | undefined;
            'aria-readonly'?: boolean | "false" | "true" | undefined;
            'aria-relevant'?: "all" | "text" | "additions" | "additions removals" | "additions text" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined;
            'aria-required'?: boolean | "false" | "true" | undefined;
            'aria-roledescription'?: string | undefined;
            'aria-rowcount'?: number | undefined;
            'aria-rowindex'?: number | undefined;
            'aria-rowspan'?: number | undefined;
            'aria-selected'?: boolean | "false" | "true" | undefined;
            'aria-setsize'?: number | undefined;
            'aria-sort'?: "none" | "ascending" | "descending" | "other" | undefined;
            'aria-valuemax'?: number | undefined;
            'aria-valuemin'?: number | undefined;
            'aria-valuenow'?: number | undefined;
            'aria-valuetext'?: string | undefined;
            dangerouslySetInnerHTML?: {
                __html: string;
            } | undefined;
            onCopy?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
            onCopyCapture?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
            onCut?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
            onCutCapture?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
            onPaste?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
            onPasteCapture?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
            onCompositionEnd?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
            onCompositionEndCapture?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
            onCompositionStart?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
            onCompositionStartCapture?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
            onCompositionUpdate?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
            onCompositionUpdateCapture?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
            onFocus?: React.FocusEventHandler<HTMLButtonElement> | undefined;
            onFocusCapture?: React.FocusEventHandler<HTMLButtonElement> | undefined;
            onBlur?: React.FocusEventHandler<HTMLButtonElement> | undefined;
            onBlurCapture?: React.FocusEventHandler<HTMLButtonElement> | undefined;
            onChange?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onChangeCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onBeforeInput?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onBeforeInputCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onInput?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onInputCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onReset?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onResetCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onSubmit?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onSubmitCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onInvalid?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onInvalidCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
            onLoad?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onLoadCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onError?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onErrorCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onKeyDown?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
            onKeyDownCapture?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
            onKeyPress?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
            onKeyPressCapture?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
            onKeyUp?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
            onKeyUpCapture?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
            onAbort?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onAbortCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onCanPlay?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onCanPlayCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onCanPlayThrough?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onCanPlayThroughCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onDurationChange?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onDurationChangeCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onEmptied?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onEmptiedCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onEncrypted?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onEncryptedCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onEnded?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onEndedCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onLoadedData?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onLoadedDataCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onLoadedMetadata?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onLoadedMetadataCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onLoadStart?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onLoadStartCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onPause?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onPauseCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onPlay?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onPlayCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onPlaying?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onPlayingCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onProgress?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onProgressCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onRateChange?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onRateChangeCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onSeeked?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onSeekedCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onSeeking?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onSeekingCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onStalled?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onStalledCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onSuspend?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onSuspendCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onTimeUpdate?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onTimeUpdateCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onVolumeChange?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onVolumeChangeCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onWaiting?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onWaitingCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onAuxClick?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onAuxClickCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onClick?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onClickCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onContextMenu?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onContextMenuCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onDoubleClick?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onDoubleClickCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onDrag?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragEnd?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragEndCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragEnter?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragEnterCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragExit?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragExitCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragLeave?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragLeaveCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragOver?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragOverCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragStart?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDragStartCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDrop?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onDropCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
            onMouseDown?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseDownCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseEnter?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseLeave?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseMove?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseMoveCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseOut?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseOutCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseOver?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseOverCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseUp?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onMouseUpCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
            onSelect?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onSelectCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
            onTouchCancel?: React.TouchEventHandler<HTMLButtonElement> | undefined;
            onTouchCancelCapture?: React.TouchEventHandler<HTMLButtonElement> | undefined;
            onTouchEnd?: React.TouchEventHandler<HTMLButtonElement> | undefined;
            onTouchEndCapture?: React.TouchEventHandler<HTMLButtonElement> | undefined;
            onTouchMove?: React.TouchEventHandler<HTMLButtonElement> | undefined;
            onTouchMoveCapture?: React.TouchEventHandler<HTMLButtonElement> | undefined;
            onTouchStart?: React.TouchEventHandler<HTMLButtonElement> | undefined;
            onTouchStartCapture?: React.TouchEventHandler<HTMLButtonElement> | undefined;
            onPointerDown?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerDownCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerMove?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerMoveCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerUp?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerUpCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerCancel?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerCancelCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerEnter?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerEnterCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerLeave?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerLeaveCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerOver?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerOverCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerOut?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onPointerOutCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onGotPointerCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onGotPointerCaptureCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onLostPointerCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onLostPointerCaptureCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
            onScroll?: React.UIEventHandler<HTMLButtonElement> | undefined;
            onScrollCapture?: React.UIEventHandler<HTMLButtonElement> | undefined;
            onWheel?: React.WheelEventHandler<HTMLButtonElement> | undefined;
            onWheelCapture?: React.WheelEventHandler<HTMLButtonElement> | undefined;
            onAnimationStart?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
            onAnimationStartCapture?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
            onAnimationEnd?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
            onAnimationEndCapture?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
            onAnimationIteration?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
            onAnimationIterationCapture?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
            onTransitionEnd?: React.TransitionEventHandler<HTMLButtonElement> | undefined;
            onTransitionEndCapture?: React.TransitionEventHandler<HTMLButtonElement> | undefined;
            css?: import("@emotion/core").InterpolationWithTheme<any>;
            disabled?: boolean | undefined;
            as?: string | React.ComponentClass<any, any> | React.FunctionComponent<any> | undefined;
            autoFocus?: boolean | undefined;
            formAction?: string | undefined;
            formEncType?: string | undefined;
            formMethod?: string | undefined;
            formNoValidate?: boolean | undefined;
            formTarget?: string | undefined;
        } & {
            theme?: any;
        }> | undefined;
        displayName: string;
    };
};
export default _default;
