"use strict";

var _semver = _interopRequireDefault(require("semver"));

var _deprecate = require("./deprecate");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-next-line @typescript-eslint/no-var-requires
const ourVersion = require('../../package.json').version;

beforeEach(() => {
  _deprecate.Deprecations.clearDeprecations();
});
afterEach(() => {
  const deprecations = _deprecate.Deprecations.getDeprecations();

  for (const dep of deprecations) {
    if (_semver.default.gte(ourVersion, dep.version)) {
      throw new Error(`Found a deprecation that should be removed in ${dep.version}`);
    }
  }
});